WPSTextSubDocument Class Referenceabstract

Basic class used to store a sub document. More...

`#include <WPSTextSubDocument.h>`

Inheritance diagram for WPSTextSubDocument:

## Public Member Functions
| WPSTextSubDocument (RVNGInputStreamPtr const &input, WPSParser *parser, int id=0)
| constructor
| ~WPSTextSubDocument () override
| destructor
RVNGInputStreamPtr const & | getInput ()
| returns the input
WPSParser * | parser () const
| returns the parser
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const override
| an operator =
virtual void | parse (std::shared_ptr< WPSContentListener > &listener, libwps::SubDocumentType subDocumentType)=0
| virtual parse function
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor
virtual | ~WPSSubDocument ()
| destructor
RVNGInputStreamPtr & | getInput ()
| returns the input
int | id () const
| get the identificator
void | setId (int i)
| set the identificator
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Protected Attributes
WPSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Private Member Functions
| WPSTextSubDocument (const WPSTextSubDocument &)=delete
WPSTextSubDocument & | operator= (const WPSTextSubDocument &)=delete

## Detailed Description

Basic class used to store a sub document.

## Constructor & Destructor Documentation

## ◆ WPSTextSubDocument() [1/2]

WPSTextSubDocument::WPSTextSubDocument | ( | RVNGInputStreamPtr const & | input,
|  | WPSParser * | parser,
|  | int | id = 0 )

constructor

Referenced by operator=(), operator==(), MSWriteParserInternal::SubDocument::SubDocument(), WPS4ParserInternal::SubDocument::SubDocument(), WPS8ParserInternal::SubDocument::SubDocument(), WPS8TextInternal::SubDocument::SubDocument(), WPS8TextInternal::SubDocument::SubDocument(), XYWriteParserInternal::SubDocument::SubDocument(), and WPSTextSubDocument().

## ◆ ~WPSTextSubDocument()

WPSTextSubDocument::~WPSTextSubDocument | ( |  | ) |
| override

destructor

## ◆ WPSTextSubDocument() [2/2]

WPSTextSubDocument::WPSTextSubDocument | ( | const WPSTextSubDocument & |  | ) |
| explicit private delete

## Member Function Documentation

## ◆ getInput()

RVNGInputStreamPtr const & WPSTextSubDocument::getInput | ( |  | ) |
| inline

returns the input

## ◆ operator=()

WPSTextSubDocument & WPSTextSubDocument::operator= | ( | const WPSTextSubDocument & |  | ) |
| private delete

## ◆ operator==()

bool WPSTextSubDocument::operator== | ( | std::shared_ptr< WPSSubDocument > const & | doc | ) | const
| override virtual

an operator =

Reimplemented from WPSSubDocument.

## ◆ parse()

virtual void WPSTextSubDocument::parse | ( | std::shared_ptr< WPSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType )
| pure virtual

virtual parse function

this function is called to parse the subdocument

Implemented in MSWriteParserInternal::SubDocument, WPS4ParserInternal::SubDocument, WPS8ParserInternal::SubDocument, WPS8TextInternal::SubDocument, and XYWriteParserInternal::SubDocument.

Referenced by WPSContentListener::handleSubDocument().

## ◆ parser()

WPSParser * WPSTextSubDocument::parser | ( |  | ) | const
| inline

returns the parser

## Member Data Documentation

## ◆ m_parser

WPSParser* WPSTextSubDocument::m_parser
| protected

Referenced by operator==(), MSWriteParserInternal::SubDocument::parse(), WPS4ParserInternal::SubDocument::parse(), WPS8ParserInternal::SubDocument::parse(), XYWriteParserInternal::SubDocument::parse(), parser(), and WPSTextSubDocument().

The documentation for this class was generated from the following files:

- WPSTextSubDocument.h
- WPSTextSubDocument.cpp